package com.kingdee.eas.custom.attendanceexception;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class AttendanceExceptionLogCollection extends AbstractObjectCollection 
{
    public AttendanceExceptionLogCollection()
    {
        super(AttendanceExceptionLogInfo.class);
    }
    public boolean add(AttendanceExceptionLogInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(AttendanceExceptionLogCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(AttendanceExceptionLogInfo item)
    {
        return removeObject(item);
    }
    public AttendanceExceptionLogInfo get(int index)
    {
        return(AttendanceExceptionLogInfo)getObject(index);
    }
    public AttendanceExceptionLogInfo get(Object key)
    {
        return(AttendanceExceptionLogInfo)getObject(key);
    }
    public void set(int index, AttendanceExceptionLogInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(AttendanceExceptionLogInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(AttendanceExceptionLogInfo item)
    {
        return super.indexOf(item);
    }
}